## Cache

`gatsby-source-strava` will create a cache folder `.strava` at the root of your project.

You are _not_ supposed to edit files directly from it. That is why it's a dotfolder.

This folder contains:

-   _activities_: a subfolder where each activity is cached in a JSON file
-   _last-fetch.txt_: A timestamp of the last fetch to do not refetch activities already in cache
-   _token.json_: Your token generated by the `gatsby-source-strava-token` command line script

> You should add `.strava/` to your `.gitignore`.
>
> It's not recommanded to push these files to your repository neither because your token is sensitive and you do not want > someone else to use it.

## Netlify

To use the cache folder with netlify

```js
module.exports = {
    plugins: [
        {
            resolve: "gatsby-plugin-netlify-cache",
            options: {
                extraDirsToCache: [".strava"],
            },
        },
        "gatsby-source-strava",
    ],
}
```
